# -*- coding: utf-8 -*-
"""

Get some chips

"""

import pandas as pd
import smogn
from matplotlib import pyplot as plt
import seaborn as sns

#设置训练集文件路径
filePath = r'训练集-151个点.xlsx'
dataBase = pd.read_excel(filePath)
#丢弃ID这一列
dataBase.drop(['ID'], axis=1, inplace=True)
#取出测试集
testBase = dataBase.sample(frac=0.3, random_state=124)
#取出训练集
trainBase = dataBase.drop(index=testBase.index)
#训练集index初始化
trainBase.index = range(trainBase.shape[0])
#进行过采样
trainBaseSmoter = smogn.smoter(data=trainBase,
                               y="Ea",
                               samp_method='extreme',
                               k=4)

newBase = pd.concat([trainBase, trainBaseSmoter])
newBase_ = newBase.drop_duplicates(keep=False)
trainBaseSmoter['Smoter'] = [None for I in range(trainBaseSmoter.shape[0])]
smoterIndex = [True for I in range(newBase_.shape[0])] + \
              [False for I in range(trainBaseSmoter.shape[0] - newBase_.shape[0])]
trainBaseSmoter['Smoter'] = smoterIndex

trainBaseSmoter.to_excel('训练集.xlsx', index=False)
testBase.to_excel('测试集.xlsx', index=False)

